> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://es.megaport.ferndocs.com/es/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://es.megaport.ferndocs.com/es/_mcp/server.

# Actualizar perfil de Marketplace

PUT https://api.megaport.com/v2/marketplace/profile
Content-Type: application/json

Crea o actualiza el perfil de Megaport Marketplace para la empresa del usuario actual.

Los cambios se definen en el cuerpo de la solicitud. Solo incluya los parámetros que desea crear o actualizar. Para un perfil de marketplace, puede definir los siguientes parámetros:

- `active` - (Obligatorio - booleano) Si el perfil de la empresa se muestra en Megaport Marketplace.
    
- `companyUid` - (Cadena) UUID de la empresa.
    
- `email` - (Obligatorio - cadena) Dirección de correo electrónico de contacto para información del marketplace de la empresa.
    
- `www` - (Obligatorio - cadena) URL del sitio web de la empresa.
    
- `phone` - (Obligatorio - cadena) Número de teléfono de contacto de la empresa para el perfil del marketplace.
    
- `providerTypes` - Matriz de objetos (Tipo raíz para MarketplaceProviderType). Tipos de proveedor disponibles de la empresa. La matriz consta de una descripción (Obligatorio) y una matriz de ServiceTypes. Para más información, consulte **GET Marketplace Provider Type**.
    
- `facebook` - (Cadena) URL de la página de Facebook de la empresa.
    
- `twitter` - (Cadena) URL del perfil de Twitter/X de la empresa.
    
- `googleplus` - (Cadena) URL de la página de Google+ de la empresa.
    
- `linkedin` - (Cadena) URL de la página de LinkedIn de la empresa.
    
- `street1` - (Cadena) Línea 1 de la calle de la dirección de la empresa.
    
- `street2` - (Cadena) Línea 2 de la calle de la dirección de la empresa.
    
- `city` - (Cadena) Información de ubicación de la empresa para mostrar en Megaport Marketplace.
    
- `state` - (Cadena) Estado de la dirección de la empresa.
    
- `country` - (Cadena) Información de ubicación del país de la empresa.
    
- `postcode` - (Cadena) Código postal de la empresa.
    
- `companyBio` - (Cadena - obligatorio). Información de la empresa para mostrar en Megaport Marketplace.
    
- `services` - (Objeto - obligatorio) (Tipo raíz para mapa). Servicios de la empresa. Para más información, consulte **GET Marketplace Provider Type**.
    

Tenga en cuenta que no puede cambiar el nombre de la empresa porque proviene del nombre de la cuenta de la empresa.

Reference: https://es.megaport.ferndocs.com/es/api-reference/megaport-marketplace/update-marketplace-profile

## Servers

- `https://api.megaport.com` (Entorno de producción, default)
- `https://api-staging.megaport.com` (Entorno de pruebas (solo pruebas, se restablece cada 24 horas))

## Request

### Body (application/json)

This endpoint expects an object.

- `active` (boolean, optional)
- `city` (string, optional)
- `companyBio` (string, optional)
- `companyId` (double, optional)
- `companyUid` (string, optional)
- `country` (string, optional)
- `email` (string, optional)
- `facebook` (any, optional, nullable)
- `googleplus` (any, optional, nullable)
- `image` (string, optional)
- `linkedin` (any, optional, nullable)
- `phone` (string, optional)
- `postcode` (string, optional)
- `providerTypes` (list of V2MarketplaceProfilePutRequestBodyContentApplicationJsonSchemaProviderTypesItems, optional)
- `services` (V2MarketplaceProfilePutRequestBodyContentApplicationJsonSchemaServices, optional)
- `state` (string, optional)
- `street1` (string, optional)
- `street2` (string, optional)
- `twitter` (any, optional, nullable)
- `www` (string, optional)

## Response

### 200

Actualizar perfil de Marketplace / Actualizar perfil de Marketplace

- `data` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaData, optional)
- `message` (string, optional)
- `terms` (string, optional)

## Types

### V2MarketplaceProfilePutRequestBodyContentApplicationJsonSchemaProviderTypesItems

- `description` (string, optional)
- `id` (double, optional)

### V2MarketplaceProfilePutRequestBodyContentApplicationJsonSchemaServices

- `efbebc29-aa4d-49aa-96bf-a9db2a1f3308` (V2MarketplaceProfilePutRequestBodyContentApplicationJsonSchemaServicesEfbebc29Aa4D49Aa96BfA9Db2A1F3308, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaData

- `active` (boolean, optional)
- `city` (string, optional)
- `companyBio` (string, optional)
- `companyId` (double, optional)
- `companyName` (string, optional)
- `companyUid` (string, optional)
- `country` (string, optional)
- `email` (string, optional)
- `facebook` (any, optional, nullable)
- `googleplus` (any, optional, nullable)
- `image` (string, optional)
- `linkedin` (any, optional, nullable)
- `phone` (string, optional)
- `postcode` (string, optional)
- `providerTypes` (list of V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataProviderTypesItems, optional)
- `services` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices, optional)
- `state` (string, optional)
- `street1` (string, optional)
- `street2` (string, optional)
- `twitter` (any, optional, nullable)
- `www` (string, optional)

### V2MarketplaceProfilePutRequestBodyContentApplicationJsonSchemaServicesEfbebc29Aa4D49Aa96BfA9Db2A1F3308

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataProviderTypesItems

- `description` (string, optional)
- `id` (double, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices

- `084d3c53-3079-4128-9779-c1de9b2482ed` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices084D3C53307941289779C1De9B2482Ed, optional)
- `0985548d-6774-44c9-b418-342f5dabcfeb` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices0985548D677444C9B418342F5Dabcfeb, optional)
- `0e65a351-ada0-43cb-8568-4e56669149cd` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices0E65A351Ada043Cb85684E56669149Cd, optional)
- `0ecdb66e-9c9f-46be-b10e-761e3dbda38a` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices0Ecdb66E9C9F46BeB10E761E3Dbda38A, optional)
- `1441efaf-6205-4445-bda5-74f0ed9924d6` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices1441Efaf62054445Bda574F0Ed9924D6, optional)
- `22111773-cfcb-4998-bf51-927f2e0d46e4` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices22111773Cfcb4998Bf51927F2E0D46E4, optional)
- `26978eb6-1b8e-40b3-98a3-997ff70740bb` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices26978Eb61B8E40B398A3997Ff70740Bb, optional)
- `29cbf853-ed3e-40c0-afdc-c7ba137d522e` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices29Cbf853Ed3E40C0AfdcC7Ba137D522E, optional)
- `2d32935c-2f13-42ec-844d-c31e567d5265` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices2D32935C2F1342Ec844DC31E567D5265, optional)
- `2e53d3b4-4643-431b-b250-50818d325f81` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices2E53D3B44643431BB25050818D325F81, optional)
- `33d51bfe-b7c4-4cb9-8faa-e0c494461773` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices33D51BfeB7C44Cb98FaaE0C494461773, optional)
- `37268ebc-e1b1-4f0c-8ad9-0e951c8b5e66` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices37268EbcE1B14F0C8Ad90E951C8B5E66, optional)
- `3905bda6-c56a-4df2-8200-9874d761594c` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices3905Bda6C56A4Df282009874D761594C, optional)
- `3a0a6160-5f0b-4676-869f-814e2fd733ab` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices3A0A61605F0B4676869F814E2Fd733Ab, optional)
- `3bedcac9-6c7f-4fd3-a865-c0d8ff544a24` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices3Bedcac96C7F4Fd3A865C0D8Ff544A24, optional)
- `3e986dbe-ed15-41f8-bf39-770213fee786` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices3E986DbeEd1541F8Bf39770213Fee786, optional)
- `42233ba9-7f10-47f6-bfd3-5fd9f3da0434` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices42233Ba97F1047F6Bfd35Fd9F3Da0434, optional)
- `443462a8-ee11-4d9a-b472-a6f6699bd37b` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices443462A8Ee114D9AB472A6F6699Bd37B, optional)
- `495ec633-853f-4eff-9819-9d11879179ba` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices495Ec633853F4Eff98199D11879179Ba, optional)
- `513e3cc4-9527-49d3-8cbb-4ad573df5fe7` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices513E3Cc4952749D38Cbb4Ad573Df5Fe7, optional)
- `52d0b6f9-b1a9-41d1-ac7b-f9b54c6f8390` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices52D0B6F9B1A941D1Ac7BF9B54C6F8390, optional)
- `5709a8c3-375a-4d71-8663-85681dc830a3` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices5709A8C3375A4D71866385681Dc830A3, optional)
- `63a98839-1754-4d55-9b2d-e0ed28d457e0` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices63A9883917544D559B2DE0Ed28D457E0, optional)
- `65629cac-316b-416b-9063-1f6f6811cc13` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices65629Cac316B416B90631F6F6811Cc13, optional)
- `6a711e5c-030a-40f0-91e7-00d4fb3f0c2d` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices6A711E5C030A40F091E700D4Fb3F0C2D, optional)
- `6abdeca4-6d88-478f-abb1-3024db7f47f6` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices6Abdeca46D88478FAbb13024Db7F47F6, optional)
- `6f2b2133-46a1-4b74-b8e1-52985cd7e15a` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices6F2B213346A14B74B8E152985Cd7E15A, optional)
- `78e190fd-77ae-4034-bdb4-7397772f9024` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices78E190Fd77Ae4034Bdb47397772F9024, optional)
- `7afd3e2e-635f-41a6-818b-d8a07fafec45` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices7Afd3E2E635F41A6818BD8A07Fafec45, optional)
- `7bc472f8-f381-43bf-a0d7-6f28a9a1d13f` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices7Bc472F8F38143BfA0D76F28A9A1D13F, optional)
- `7f5d2d9d-5731-463d-9582-54fac2acd483` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices7F5D2D9D5731463D958254Fac2Acd483, optional)
- `82d6be81-6ee3-4ea2-b5d2-a26cfabc0bdf` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices82D6Be816Ee34Ea2B5D2A26Cfabc0Bdf, optional)
- `85e2b722-4063-4472-b03b-cd1bfa17c3a5` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices85E2B72240634472B03BCd1Bfa17C3A5, optional)
- `8740f152-cba2-4dd1-a8a9-888ba9936e3f` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices8740F152Cba24Dd1A8A9888Ba9936E3F, optional)
- `891b30d1-9d6d-4536-8806-410b8ae8a01b` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices891B30D19D6D45368806410B8Ae8A01B, optional)
- `8c017c43-4a66-41eb-88ca-1f3a4cefe10b` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices8C017C434A6641Eb88Ca1F3A4Cefe10B, optional)
- `8d5a9c38-5a14-4c56-9697-ba054f9cf7af` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices8D5A9C385A144C569697Ba054F9Cf7Af, optional)
- `9251fcd1-e2e8-4f37-9ff5-86a4789fa102` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices9251Fcd1E2E84F379Ff586A4789Fa102, optional)
- `949ae46c-2386-4fee-a897-03f41ef34f56` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices949Ae46C23864FeeA89703F41Ef34F56, optional)
- `9dea55b6-3823-4596-a53e-8009f85019d5` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices9Dea55B638234596A53E8009F85019D5, optional)
- `9e1aac25-fc23-455f-b78e-7f18a27d03da` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices9E1Aac25Fc23455FB78E7F18A27D03Da, optional)
- `a69c48c6-e66c-491b-9cd9-581febaedbdc` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesA69C48C6E66C491B9Cd9581Febaedbdc, optional)
- `a6b67c1f-1288-4f97-87b8-2849abdf139f` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesA6B67C1F12884F9787B82849Abdf139F, optional)
- `abf40019-2e78-4a55-a4f7-8f974db94c49` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesAbf400192E784A55A4F78F974Db94C49, optional)
- `b226753c-f453-49bc-9363-48872bce757e` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesB226753CF45349Bc936348872Bce757E, optional)
- `b419066e-dd25-42ba-afb9-de55122c7d44` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesB419066EDd2542BaAfb9De55122C7D44, optional)
- `b649ae5b-57fb-47e2-b0f4-a4ab36789dcc` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesB649Ae5B57Fb47E2B0F4A4Ab36789Dcc, optional)
- `b6e0ee6d-8eb1-43c5-b32f-3ca3f701f4fc` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesB6E0Ee6D8Eb143C5B32F3Ca3F701F4Fc, optional)
- `ba56fb09-e814-42b5-9658-554ee37fb52f` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesBa56Fb09E81442B59658554Ee37Fb52F, optional)
- `baeb92d0-a519-425f-8b25-f2efbfb31f26` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesBaeb92D0A519425F8B25F2Efbfb31F26, optional)
- `bed6bd44-bcac-47ee-b323-627c218a5107` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesBed6Bd44Bcac47EeB323627C218A5107, optional)
- `bf8e696d-40cf-4f6e-999c-6b55e93e7f3e` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesBf8E696D40Cf4F6E999C6B55E93E7F3E, optional)
- `c3fe9924-d0d9-4ddf-91c4-32a509fe14b0` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesC3Fe9924D0D94Ddf91C432A509Fe14B0, optional)
- `cb9f226d-296f-4e53-a954-46d45754e018` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesCb9F226D296F4E53A95446D45754E018, optional)
- `cfcb37c8-3143-49d0-a1fd-4c284aa3d82e` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesCfcb37C8314349D0A1Fd4C284Aa3D82E, optional)
- `d2c6fc18-a561-40d0-963b-b361c3113360` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesD2C6Fc18A56140D0963BB361C3113360, optional)
- `d88814cc-84ce-4814-a1af-61749cbd024d` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesD88814Cc84Ce4814A1Af61749Cbd024D, optional)
- `d93ba751-38b5-408e-bfde-9712e45d027e` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesD93Ba75138B5408EBfde9712E45D027E, optional)
- `dd73ffb5-d5fe-4c0d-9304-a06d4979beba` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesDd73Ffb5D5Fe4C0D9304A06D4979Beba, optional)
- `ddb8c864-afdb-402f-9de0-01cf511ef210` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesDdb8C864Afdb402F9De001Cf511Ef210, optional)
- `e5b0ba00-cf60-4269-b2b2-47b37a72115a` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesE5B0Ba00Cf604269B2B247B37A72115A, optional)
- `e6bcfb5c-598b-41d6-bd4d-373368e93575` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesE6Bcfb5C598B41D6Bd4D373368E93575, optional)
- `e7f60c5e-491f-4495-9f81-8b4be3881f7d` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesE7F60C5E491F44959F818B4Be3881F7D, optional)
- `ebdba1e7-5748-45b6-9eb9-2732622dcb23` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesEbdba1E7574845B69Eb92732622Dcb23, optional)
- `efbebc29-aa4d-49aa-96bf-a9db2a1f3308` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesEfbebc29Aa4D49Aa96BfA9Db2A1F3308, optional)
- `f169188b-52ed-415c-a81e-12bcd8f48578` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesF169188B52Ed415CA81E12Bcd8F48578, optional)
- `fb8f5565-5196-47df-b5be-69807700f6cd` (V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesFb8F5565519647DfB5Be69807700F6Cd, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices084D3C53307941289779C1De9B2482Ed

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices0985548D677444C9B418342F5Dabcfeb

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices0E65A351Ada043Cb85684E56669149Cd

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices0Ecdb66E9C9F46BeB10E761E3Dbda38A

- `contactEmail` (string, optional)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices1441Efaf62054445Bda574F0Ed9924D6

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices22111773Cfcb4998Bf51927F2E0D46E4

- `contactEmail` (string, optional)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices22111773Cfcb4998Bf51927F2E0D46E4ServiceTypesItems, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices26978Eb61B8E40B398A3997Ff70740Bb

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices29Cbf853Ed3E40C0AfdcC7Ba137D522E

- `contactEmail` (any, optional, nullable)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices2D32935C2F1342Ec844DC31E567D5265

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices2E53D3B44643431BB25050818D325F81

- `contactEmail` (any, optional, nullable)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices33D51BfeB7C44Cb98FaaE0C494461773

- `contactEmail` (string, optional)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices37268EbcE1B14F0C8Ad90E951C8B5E66

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices3905Bda6C56A4Df282009874D761594C

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices3A0A61605F0B4676869F814E2Fd733Ab

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices3Bedcac96C7F4Fd3A865C0D8Ff544A24

- `contactEmail` (any, optional, nullable)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices3E986DbeEd1541F8Bf39770213Fee786

- `contactEmail` (any, optional, nullable)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices42233Ba97F1047F6Bfd35Fd9F3Da0434

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices443462A8Ee114D9AB472A6F6699Bd37B

- `contactEmail` (string, optional)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices495Ec633853F4Eff98199D11879179Ba

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices513E3Cc4952749D38Cbb4Ad573Df5Fe7

- `contactEmail` (any, optional, nullable)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices52D0B6F9B1A941D1Ac7BF9B54C6F8390

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices5709A8C3375A4D71866385681Dc830A3

- `contactEmail` (any, optional, nullable)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices63A9883917544D559B2DE0Ed28D457E0

- `contactEmail` (any, optional, nullable)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices65629Cac316B416B90631F6F6811Cc13

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices6A711E5C030A40F091E700D4Fb3F0C2D

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices6Abdeca46D88478FAbb13024Db7F47F6

- `contactEmail` (string, optional)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices6F2B213346A14B74B8E152985Cd7E15A

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices78E190Fd77Ae4034Bdb47397772F9024

- `contactEmail` (any, optional, nullable)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices7Afd3E2E635F41A6818BD8A07Fafec45

- `contactEmail` (any, optional, nullable)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices7Bc472F8F38143BfA0D76F28A9A1D13F

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices7F5D2D9D5731463D958254Fac2Acd483

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices82D6Be816Ee34Ea2B5D2A26Cfabc0Bdf

- `contactEmail` (any, optional, nullable)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices85E2B72240634472B03BCd1Bfa17C3A5

- `contactEmail` (any, optional, nullable)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices8740F152Cba24Dd1A8A9888Ba9936E3F

- `contactEmail` (string, optional)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices891B30D19D6D45368806410B8Ae8A01B

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices8C017C434A6641Eb88Ca1F3A4Cefe10B

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices8D5A9C385A144C569697Ba054F9Cf7Af

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices9251Fcd1E2E84F379Ff586A4789Fa102

- `contactEmail` (any, optional, nullable)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices949Ae46C23864FeeA89703F41Ef34F56

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices9Dea55B638234596A53E8009F85019D5

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices9E1Aac25Fc23455FB78E7F18A27D03Da

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesA69C48C6E66C491B9Cd9581Febaedbdc

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesA6B67C1F12884F9787B82849Abdf139F

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesAbf400192E784A55A4F78F974Db94C49

- `contactEmail` (string, optional)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesB226753CF45349Bc936348872Bce757E

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesB419066EDd2542BaAfb9De55122C7D44

- `contactEmail` (any, optional, nullable)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesB649Ae5B57Fb47E2B0F4A4Ab36789Dcc

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesB6E0Ee6D8Eb143C5B32F3Ca3F701F4Fc

- `contactEmail` (string, optional)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesBa56Fb09E81442B59658554Ee37Fb52F

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesBaeb92D0A519425F8B25F2Efbfb31F26

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesBed6Bd44Bcac47EeB323627C218A5107

- `contactEmail` (any, optional, nullable)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesBf8E696D40Cf4F6E999C6B55E93E7F3E

- `contactEmail` (any, optional, nullable)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesC3Fe9924D0D94Ddf91C432A509Fe14B0

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesCb9F226D296F4E53A95446D45754E018

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesCfcb37C8314349D0A1Fd4C284Aa3D82E

- `contactEmail` (any, optional, nullable)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesD2C6Fc18A56140D0963BB361C3113360

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesD88814Cc84Ce4814A1Af61749Cbd024D

- `contactEmail` (any, optional, nullable)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesD93Ba75138B5408EBfde9712E45D027E

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesDd73Ffb5D5Fe4C0D9304A06D4979Beba

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesDdb8C864Afdb402F9De001Cf511Ef210

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesE5B0Ba00Cf604269B2B247B37A72115A

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesE6Bcfb5C598B41D6Bd4D373368E93575

- `contactEmail` (string, optional)
- `description` (string, optional)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesE7F60C5E491F44959F818B4Be3881F7D

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesEbdba1E7574845B69Eb92732622Dcb23

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesEfbebc29Aa4D49Aa96BfA9Db2A1F3308

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesF169188B52Ed415CA81E12Bcd8F48578

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServicesFb8F5565519647DfB5Be69807700F6Cd

- `contactEmail` (any, optional, nullable)
- `description` (any, optional, nullable)
- `marketplaceVisible` (boolean, optional)
- `metadata` (any, optional, nullable)
- `serviceTypes` (list of any, optional)
- `title` (string, optional)

### V2MarketplaceProfilePutResponsesContentApplicationJsonSchemaDataServices22111773Cfcb4998Bf51927F2E0D46E4ServiceTypesItems

- `description` (string, optional)
- `id` (double, optional)

## Examples

**Request**

```json
{
  "active": false,
  "city": "Brisbane",
  "companyBio": "We've built a better way for networks and cloud to interconnect. Our planet-scale network is your Mission Control for 100Gbps connectivity globally: on-demand, contract-free, and online in a flash.\n\nhttps://docs.google.com/forms/d/e/1FAIpQLSfWIkR-UB-sjrn_7sg8o_j1O6HZKrRgHIfH4js_9xGOM5-LHg/viewform?usp=header\n\nMegaport partners with the worldâ€™s leading enterprises, global service providers, data center operators, systems integrators, and managed services companies. Get access to a global network underlay that will take you wherever you want to go, however you want to get there.",
  "companyId": 1153,
  "companyUid": "160208ae-01e4-4cb9-8d57-03a197bd47a8",
  "country": "Australia",
  "email": "miwa.fujii@sink.megaport.com",
  "facebook": null,
  "googleplus": null,
  "image": "true",
  "linkedin": null,
  "phone": "+61 7 12342234",
  "postcode": "",
  "providerTypes": [
    {
      "description": "Inteligencia Artificial",
      "id": 10
    },
    {
      "description": "Intercambio de IA (IAx)",
      "id": 11
    }
  ],
  "services": {
    "efbebc29-aa4d-49aa-96bf-a9db2a1f3308": {
      "contactEmail": null,
      "description": null,
      "marketplaceVisible": false,
      "metadata": null,
      "serviceTypes": [],
      "title": "Puerto Markley 10G"
    }
  },
  "state": "QLD",
  "street1": "",
  "street2": "",
  "twitter": null,
  "www": "http://bit.ly/4aMxXNE"
}
```

**Response**

```json
{
  "data": {
    "active": false,
    "city": "Brisbane",
    "companyBio": "We've built a better way for networks and cloud to interconnect. Our planet-scale network is your Mission Control for 100Gbps connectivity globally: on-demand, contract-free, and online in a flash.\n\nhttps://docs.google.com/forms/d/e/1FAIpQLSfWIkR-UB-sjrn_7sg8o_j1O6HZKrRgHIfH4js_9xGOM5-LHg/viewform?usp=header\n\nMegaport partners with the worldâ€™s leading enterprises, global service providers, data center operators, systems integrators, and managed services companies. Get access to a global network underlay that will take you wherever you want to go, however you want to get there.",
    "companyId": 1153,
    "companyName": "Megaport Lab",
    "companyUid": "160208ae-01e4-4cb9-8d57-03a197bd47a8",
    "country": "Australia",
    "email": "miwa.fujii@sink.megaport.com",
    "facebook": null,
    "googleplus": null,
    "image": "true",
    "linkedin": null,
    "phone": "+61 7 12342234",
    "postcode": "",
    "providerTypes": [
      {
        "description": "Inteligencia Artificial",
        "id": 10
      },
      {
        "description": "Intercambio de IA (IAx)",
        "id": 11
      }
    ],
    "services": {
      "084d3c53-3079-4128-9779-c1de9b2482ed": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "Prueba SB"
      },
      "0985548d-6774-44c9-b418-342f5dabcfeb": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "NLo_LAB_1"
      },
      "0e65a351-ada0-43cb-8568-4e56669149cd": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "KD-AWS-Hyperforce prueba ***NO BORRAR***"
      },
      "0ecdb66e-9c9f-46be-b10e-761e3dbda38a": {
        "contactEmail": "miwa.fujii@sink.megaport.com",
        "description": "fgt-ha2",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "fgt-ha2"
      },
      "1441efaf-6205-4445-bda5-74f0ed9924d6": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "IPSecPrueba"
      },
      "22111773-cfcb-4998-bf51-927f2e0d46e4": {
        "contactEmail": "miwa.fujii@sink.megaport.com",
        "description": "advanced_platform_esp_sd_1",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [
          {
            "description": "Servicio de GPU (GPUaaS)",
            "id": 49
          }
        ],
        "title": "advanced_platform_esp_sd_1"
      },
      "26978eb6-1b8e-40b3-98a3-997ff70740bb": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "jerome.stanly-routing-mcr-intro-mcr-mel"
      },
      "29cbf853-ed3e-40c0-afdc-c7ba137d522e": {
        "contactEmail": null,
        "description": "Metro_Evaluación",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "Metro_Evaluación"
      },
      "2d32935c-2f13-42ec-844d-c31e567d5265": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "LIONEL-prueba-MACIF PA2/SPM"
      },
      "2e53d3b4-4643-431b-b250-50818d325f81": {
        "contactEmail": null,
        "description": "Torre del Vigía de Ginebra",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "Torre del Vigía de Ginebra"
      },
      "33d51bfe-b7c4-4cb9-8faa-e0c494461773": {
        "contactEmail": "miwa.fujii@sink.megaport.com",
        "description": "STu Prueba de Alta Capacidad - Por Favor No Borrar",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "STu Prueba de Alta Capacidad - Por Favor No Borrar"
      },
      "37268ebc-e1b1-4f0c-8ad9-0e951c8b5e66": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "CONCENTRADOR_EUROPA_Fráncfort"
      },
      "3905bda6-c56a-4df2-8200-9874d761594c": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "chidoshawnbisi"
      },
      "3a0a6160-5f0b-4676-869f-814e2fd733ab": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "LIONEL-prueba-MACIF-GS #1 CSP"
      },
      "3bedcac9-6c7f-4fd3-a865-c0d8ff544a24": {
        "contactEmail": null,
        "description": "Torre de Vigilancia de Perth",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "Torre de Vigilancia de Perth"
      },
      "3e986dbe-ed15-41f8-bf39-770213fee786": {
        "contactEmail": null,
        "description": "MVE | NSS2-36235 | nyc-tx3 | las-sw7 < > nyc-tx3 | NSS Smokeping",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "MVE | NSS2-36235 | nyc-tx3 | las-sw7 < > nyc-tx3 | NSS Smokeping"
      },
      "42233ba9-7f10-47f6-bfd3-5fd9f3da0434": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "Puerto de 10G de Minneapolis"
      },
      "443462a8-ee11-4d9a-b472-a6f6699bd37b": {
        "contactEmail": "networks@megaport.com",
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "Laboratorio Megaport en NextDC B2"
      },
      "495ec633-853f-4eff-9819-9d11879179ba": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "Puerto 1"
      },
      "513e3cc4-9527-49d3-8cbb-4ad573df5fe7": {
        "contactEmail": null,
        "description": "sjc-tx2-vr-4 Puerto de Producción de Invitado Eth1-1 / Eth1-1",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "sjc-tx2-vr-4 Puerto de Producción de Invitado Eth1-1 / Eth1-1"
      },
      "52d0b6f9-b1a9-41d1-ac7b-f9b54c6f8390": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "MVE | Smokep | NSS2-39941 | nyc-tx1 <> mia-vzn"
      },
      "5709a8c3-375a-4d71-8663-85681dc830a3": {
        "contactEmail": null,
        "description": "Ejemplo de MVE de Megaport - Prometeo (b)",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "Ejemplo de MVE de Megaport - Prometeo (b)"
      },
      "63a98839-1754-4d55-9b2d-e0ed28d457e0": {
        "contactEmail": null,
        "description": "Centro de Datos AtTokyo - Ruta Alpha @ Tokio - MEGAPORT",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "Centro de Datos AtTokyo - Ruta Alpha @ Tokio - MEGAPORT"
      },
      "65629cac-316b-416b-9063-1f6f6811cc13": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "NLo_Lab_2"
      },
      "6a711e5c-030a-40f0-91e7-00d4fb3f0c2d": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "IPsecTestMVE4"
      },
      "6abdeca4-6d88-478f-abb1-3024db7f47f6": {
        "contactEmail": "miwa.fujii@sink.megaport.com",
        "description": "SALAB ATTOKYO",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "SALAB ATTOKYO"
      },
      "6f2b2133-46a1-4b74-b8e1-52985cd7e15a": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "kd-hyperforce-prueba-0516"
      },
      "78e190fd-77ae-4034-bdb4-7397772f9024": {
        "contactEmail": null,
        "description": "qbc-4dg",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "qbc-4dg"
      },
      "7afd3e2e-635f-41a6-818b-d8a07fafec45": {
        "contactEmail": null,
        "description": "Ejemplo de Megaport MVE - Prometeo (a)",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "Ejemplo de Megaport MVE - Prometeo (a)"
      },
      "7bc472f8-f381-43bf-a0d7-6f28a9a1d13f": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "ft-kpi-mve"
      },
      "7f5d2d9d-5731-463d-9582-54fac2acd483": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "Equinix OS1 @ Osaka - MCR2"
      },
      "82d6be81-6ee3-4ea2-b5d2-a26cfabc0bdf": {
        "contactEmail": null,
        "description": "kd-demo-ams",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "kd-demo-ams"
      },
      "85e2b722-4063-4472-b03b-cd1bfa17c3a5": {
        "contactEmail": null,
        "description": "Neteng SD-WAN SJC PoC Puerto Invitado Eth1-1-3",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "Neteng SD-WAN SJC PoC Puerto Invitado Eth1-1-3"
      },
      "8740f152-cba2-4dd1-a8a9-888ba9936e3f": {
        "contactEmail": "miwa.fujii@sink.megaport.com",
        "description": "SG_SA_Router_NO_ELIMINAR",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "SG_SA_Router_NO_ELIMINAR"
      },
      "891b30d1-9d6d-4536-8806-410b8ae8a01b": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "LIONEL-prueba-MACIF GS/CSP #2"
      },
      "8c017c43-4a66-41eb-88ca-1f3a4cefe10b": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "Aureliano"
      },
      "8d5a9c38-5a14-4c56-9697-ba054f9cf7af": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "OnPrem"
      },
      "9251fcd1-e2e8-4f37-9ff5-86a4789fa102": {
        "contactEmail": null,
        "description": "MVE C8000 - OpsEng (LAN DHCP vlan 100-123)",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "MVE C8000 - OpsEng (LAN DHCP vlan 100-123)"
      },
      "949ae46c-2386-4fee-a897-03f41ef34f56": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "KB Demo - Puerto - Plan B"
      },
      "9dea55b6-3823-4596-a53e-8009f85019d5": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "ESD-100G-Puerto-a-protoconglomerado-4"
      },
      "9e1aac25-fc23-455f-b78e-7f18a27d03da": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "PRUEBA DP"
      },
      "a69c48c6-e66c-491b-9cd9-581febaedbdc": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "IPsecTestMVE3"
      },
      "a6b67c1f-1288-4f97-87b8-2849abdf139f": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "mve-demo-cisco-c8kv-tko-01"
      },
      "abf40019-2e78-4a55-a4f7-8f974db94c49": {
        "contactEmail": "miwa.fujii@sink.megaport.com",
        "description": "fgt-ha1",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "fgt-ha1"
      },
      "b226753c-f453-49bc-9363-48872bce757e": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "IPSecPruebaMVE2"
      },
      "b419066e-dd25-42ba-afb9-de55122c7d44": {
        "contactEmail": null,
        "description": "APE - OGMR Tránsito",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "APE - OGMR Tránsito"
      },
      "b649ae5b-57fb-47e2-b0f4-a4ab36789dcc": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "CC PRUEBA"
      },
      "b6e0ee6d-8eb1-43c5-b32f-3ca3f701f4fc": {
        "contactEmail": "miwa.fujii@sink.megaport.com",
        "description": "advanced_platform_esp_sd_2",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "advanced_platform_esp_sd_2"
      },
      "ba56fb09-e814-42b5-9658-554ee37fb52f": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "Prueba 1"
      },
      "baeb92d0-a519-425f-8b25-f2efbfb31f26": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "ESD-100G-Puerto-a-protoclustr-5"
      },
      "bed6bd44-bcac-47ee-b323-627c218a5107": {
        "contactEmail": null,
        "description": "STu-C8kv_POR_FAVOR_NO_BORRAR",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "STu-C8kv_POR_FAVOR_NO_BORRAR"
      },
      "bf8e696d-40cf-4f6e-999c-6b55e93e7f3e": {
        "contactEmail": null,
        "description": "mtl-4dg prueba puerto",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "mtl-4dg prueba puerto"
      },
      "c3fe9924-d0d9-4ddf-91c4-32a509fe14b0": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "prueba ip"
      },
      "cb9f226d-296f-4e53-a954-46d45754e018": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "mgw-tst-mve-c8kv-mel"
      },
      "cfcb37c8-3143-49d0-a1fd-4c284aa3d82e": {
        "contactEmail": null,
        "description": "OPS-6065",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "OPS-6065"
      },
      "d2c6fc18-a561-40d0-963b-b361c3113360": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "RT_Test"
      },
      "d88814cc-84ce-4814-a1af-61749cbd024d": {
        "contactEmail": null,
        "description": "MVE | NSS2-36235 | las-sw7 | las-sw7 < > nyc-tx3 | NSS Smokeping",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "MVE | NSS2-36235 | las-sw7 | las-sw7 < > nyc-tx3 | NSS Smokeping"
      },
      "d93ba751-38b5-408e-bfde-9712e45d027e": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "LIONEL-prueba-MACIF PAR5/SPM"
      },
      "dd73ffb5-d5fe-4c0d-9304-a06d4979beba": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "NextDC P1 @ Perth - 6WIND MVE"
      },
      "ddb8c864-afdb-402f-9de0-01cf511ef210": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "HUB_APAC_Singapur"
      },
      "e5b0ba00-cf60-4269-b2b2-47b37a72115a": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "Edificio Westin Puerto 10g Vince Demo"
      },
      "e6bcfb5c-598b-41d6-bd4d-373368e93575": {
        "contactEmail": "miwa.fujii@sink.megaport.com",
        "description": "Prueba de Alta Capacidad de STu - Por Favor No Borrar",
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "Prueba de Alta Capacidad de STu - Por Favor No Borrar"
      },
      "e7f60c5e-491f-4495-9f81-8b4be3881f7d": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "jerome.stanly-routing-mcr-intro-mcr-syd"
      },
      "ebdba1e7-5748-45b6-9eb9-2732622dcb23": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "MVE-B | NSS2-39941 | nyc-tx1 <> mia-vzn"
      },
      "efbebc29-aa4d-49aa-96bf-a9db2a1f3308": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "Puerto Markley de 10G"
      },
      "f169188b-52ed-415c-a81e-12bcd8f48578": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "Aureliano"
      },
      "fb8f5565-5196-47df-b5be-69807700f6cd": {
        "contactEmail": null,
        "description": null,
        "marketplaceVisible": false,
        "metadata": null,
        "serviceTypes": [],
        "title": "Puerto2"
      }
    },
    "state": "QLD",
    "street1": "",
    "street2": "",
    "twitter": null,
    "www": "http://bit.ly/4aMxXNE"
  },
  "message": "Perfil de empresa de mercado para la empresa 160208ae-01e4-4cb9-8d57-03a197bd47a8",
  "terms": "This data is subject to the Acceptable Use Policy https://www.megaport.com/legal/acceptable-use-policy"
}
```

**SDK Code**

```python
import requests

url = "https://api.megaport.com/v2/marketplace/profile"

payload = {
    "active": False,
    "city": "Brisbane",
    "companyBio": "We've built a better way for networks and cloud to interconnect. Our planet-scale network is your Mission Control for 100Gbps connectivity globally: on-demand, contract-free, and online in a flash.

https://docs.google.com/forms/d/e/1FAIpQLSfWIkR-UB-sjrn_7sg8o_j1O6HZKrRgHIfH4js_9xGOM5-LHg/viewform?usp=header

Megaport partners with the worldâ€™s leading enterprises, global service providers, data center operators, systems integrators, and managed services companies. Get access to a global network underlay that will take you wherever you want to go, however you want to get there.",
    "companyId": 1153,
    "companyUid": "160208ae-01e4-4cb9-8d57-03a197bd47a8",
    "country": "Australia",
    "email": "miwa.fujii@sink.megaport.com",
    "facebook": None,
    "googleplus": None,
    "image": "true",
    "linkedin": None,
    "phone": "+61 7 12342234",
    "postcode": "",
    "providerTypes": [
        {
            "description": "Inteligencia Artificial",
            "id": 10
        },
        {
            "description": "Intercambio de IA (IAx)",
            "id": 11
        }
    ],
    "services": { "efbebc29-aa4d-49aa-96bf-a9db2a1f3308": {
            "contactEmail": None,
            "description": None,
            "marketplaceVisible": False,
            "metadata": None,
            "serviceTypes": [],
            "title": "Puerto Markley 10G"
        } },
    "state": "QLD",
    "street1": "",
    "street2": "",
    "twitter": None,
    "www": "http://bit.ly/4aMxXNE"
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.megaport.com/v2/marketplace/profile';
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/json'},
  body: '{"active":false,"city":"Brisbane","companyBio":"We\'ve built a better way for networks and cloud to interconnect. Our planet-scale network is your Mission Control for 100Gbps connectivity globally: on-demand, contract-free, and online in a flash.\n\nhttps://docs.google.com/forms/d/e/1FAIpQLSfWIkR-UB-sjrn_7sg8o_j1O6HZKrRgHIfH4js_9xGOM5-LHg/viewform?usp=header\n\nMegaport partners with the worldâ€™s leading enterprises, global service providers, data center operators, systems integrators, and managed services companies. Get access to a global network underlay that will take you wherever you want to go, however you want to get there.","companyId":1153,"companyUid":"160208ae-01e4-4cb9-8d57-03a197bd47a8","country":"Australia","email":"miwa.fujii@sink.megaport.com","facebook":null,"googleplus":null,"image":"true","linkedin":null,"phone":"+61 7 12342234","postcode":"","providerTypes":[{"description":"Inteligencia Artificial","id":10},{"description":"Intercambio de IA (IAx)","id":11}],"services":{"efbebc29-aa4d-49aa-96bf-a9db2a1f3308":{"contactEmail":null,"description":null,"marketplaceVisible":false,"metadata":null,"serviceTypes":[],"title":"Puerto Markley 10G"}},"state":"QLD","street1":"","street2":"","twitter":null,"www":"http://bit.ly/4aMxXNE"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.megaport.com/v2/marketplace/profile"

	payload := strings.NewReader("{\n  \"active\": false,\n  \"city\": \"Brisbane\",\n  \"companyBio\": \"We've built a better way for networks and cloud to interconnect. Our planet-scale network is your Mission Control for 100Gbps connectivity globally: on-demand, contract-free, and online in a flash.\\n\\nhttps://docs.google.com/forms/d/e/1FAIpQLSfWIkR-UB-sjrn_7sg8o_j1O6HZKrRgHIfH4js_9xGOM5-LHg/viewform?usp=header\\n\\nMegaport partners with the worldâ€™s leading enterprises, global service providers, data center operators, systems integrators, and managed services companies. Get access to a global network underlay that will take you wherever you want to go, however you want to get there.\",\n  \"companyId\": 1153,\n  \"companyUid\": \"160208ae-01e4-4cb9-8d57-03a197bd47a8\",\n  \"country\": \"Australia\",\n  \"email\": \"miwa.fujii@sink.megaport.com\",\n  \"facebook\": null,\n  \"googleplus\": null,\n  \"image\": \"true\",\n  \"linkedin\": null,\n  \"phone\": \"+61 7 12342234\",\n  \"postcode\": \"\",\n  \"providerTypes\": [\n    {\n      \"description\": \"Inteligencia Artificial\",\n      \"id\": 10\n    },\n    {\n      \"description\": \"Intercambio de IA (IAx)\",\n      \"id\": 11\n    }\n  ],\n  \"services\": {\n    \"efbebc29-aa4d-49aa-96bf-a9db2a1f3308\": {\n      \"contactEmail\": null,\n      \"description\": null,\n      \"marketplaceVisible\": false,\n      \"metadata\": null,\n      \"serviceTypes\": [],\n      \"title\": \"Puerto Markley 10G\"\n    }\n  },\n  \"state\": \"QLD\",\n  \"street1\": \"\",\n  \"street2\": \"\",\n  \"twitter\": null,\n  \"www\": \"http://bit.ly/4aMxXNE\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.megaport.com/v2/marketplace/profile")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"active\": false,\n  \"city\": \"Brisbane\",\n  \"companyBio\": \"We've built a better way for networks and cloud to interconnect. Our planet-scale network is your Mission Control for 100Gbps connectivity globally: on-demand, contract-free, and online in a flash.\\n\\nhttps://docs.google.com/forms/d/e/1FAIpQLSfWIkR-UB-sjrn_7sg8o_j1O6HZKrRgHIfH4js_9xGOM5-LHg/viewform?usp=header\\n\\nMegaport partners with the worldâ€™s leading enterprises, global service providers, data center operators, systems integrators, and managed services companies. Get access to a global network underlay that will take you wherever you want to go, however you want to get there.\",\n  \"companyId\": 1153,\n  \"companyUid\": \"160208ae-01e4-4cb9-8d57-03a197bd47a8\",\n  \"country\": \"Australia\",\n  \"email\": \"miwa.fujii@sink.megaport.com\",\n  \"facebook\": null,\n  \"googleplus\": null,\n  \"image\": \"true\",\n  \"linkedin\": null,\n  \"phone\": \"+61 7 12342234\",\n  \"postcode\": \"\",\n  \"providerTypes\": [\n    {\n      \"description\": \"Inteligencia Artificial\",\n      \"id\": 10\n    },\n    {\n      \"description\": \"Intercambio de IA (IAx)\",\n      \"id\": 11\n    }\n  ],\n  \"services\": {\n    \"efbebc29-aa4d-49aa-96bf-a9db2a1f3308\": {\n      \"contactEmail\": null,\n      \"description\": null,\n      \"marketplaceVisible\": false,\n      \"metadata\": null,\n      \"serviceTypes\": [],\n      \"title\": \"Puerto Markley 10G\"\n    }\n  },\n  \"state\": \"QLD\",\n  \"street1\": \"\",\n  \"street2\": \"\",\n  \"twitter\": null,\n  \"www\": \"http://bit.ly/4aMxXNE\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.megaport.com/v2/marketplace/profile")
  .header("Content-Type", "application/json")
  .body("{\n  \"active\": false,\n  \"city\": \"Brisbane\",\n  \"companyBio\": \"We've built a better way for networks and cloud to interconnect. Our planet-scale network is your Mission Control for 100Gbps connectivity globally: on-demand, contract-free, and online in a flash.\\n\\nhttps://docs.google.com/forms/d/e/1FAIpQLSfWIkR-UB-sjrn_7sg8o_j1O6HZKrRgHIfH4js_9xGOM5-LHg/viewform?usp=header\\n\\nMegaport partners with the worldâ€™s leading enterprises, global service providers, data center operators, systems integrators, and managed services companies. Get access to a global network underlay that will take you wherever you want to go, however you want to get there.\",\n  \"companyId\": 1153,\n  \"companyUid\": \"160208ae-01e4-4cb9-8d57-03a197bd47a8\",\n  \"country\": \"Australia\",\n  \"email\": \"miwa.fujii@sink.megaport.com\",\n  \"facebook\": null,\n  \"googleplus\": null,\n  \"image\": \"true\",\n  \"linkedin\": null,\n  \"phone\": \"+61 7 12342234\",\n  \"postcode\": \"\",\n  \"providerTypes\": [\n    {\n      \"description\": \"Inteligencia Artificial\",\n      \"id\": 10\n    },\n    {\n      \"description\": \"Intercambio de IA (IAx)\",\n      \"id\": 11\n    }\n  ],\n  \"services\": {\n    \"efbebc29-aa4d-49aa-96bf-a9db2a1f3308\": {\n      \"contactEmail\": null,\n      \"description\": null,\n      \"marketplaceVisible\": false,\n      \"metadata\": null,\n      \"serviceTypes\": [],\n      \"title\": \"Puerto Markley 10G\"\n    }\n  },\n  \"state\": \"QLD\",\n  \"street1\": \"\",\n  \"street2\": \"\",\n  \"twitter\": null,\n  \"www\": \"http://bit.ly/4aMxXNE\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.megaport.com/v2/marketplace/profile', [
  'body' => '{
  "active": false,
  "city": "Brisbane",
  "companyBio": "We\'ve built a better way for networks and cloud to interconnect. Our planet-scale network is your Mission Control for 100Gbps connectivity globally: on-demand, contract-free, and online in a flash.\\n\\nhttps://docs.google.com/forms/d/e/1FAIpQLSfWIkR-UB-sjrn_7sg8o_j1O6HZKrRgHIfH4js_9xGOM5-LHg/viewform?usp=header\\n\\nMegaport partners with the worldâ€™s leading enterprises, global service providers, data center operators, systems integrators, and managed services companies. Get access to a global network underlay that will take you wherever you want to go, however you want to get there.",
  "companyId": 1153,
  "companyUid": "160208ae-01e4-4cb9-8d57-03a197bd47a8",
  "country": "Australia",
  "email": "miwa.fujii@sink.megaport.com",
  "facebook": null,
  "googleplus": null,
  "image": "true",
  "linkedin": null,
  "phone": "+61 7 12342234",
  "postcode": "",
  "providerTypes": [
    {
      "description": "Inteligencia Artificial",
      "id": 10
    },
    {
      "description": "Intercambio de IA (IAx)",
      "id": 11
    }
  ],
  "services": {
    "efbebc29-aa4d-49aa-96bf-a9db2a1f3308": {
      "contactEmail": null,
      "description": null,
      "marketplaceVisible": false,
      "metadata": null,
      "serviceTypes": [],
      "title": "Puerto Markley 10G"
    }
  },
  "state": "QLD",
  "street1": "",
  "street2": "",
  "twitter": null,
  "www": "http://bit.ly/4aMxXNE"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.megaport.com/v2/marketplace/profile");
var request = new RestRequest(Method.PUT);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"active\": false,\n  \"city\": \"Brisbane\",\n  \"companyBio\": \"We've built a better way for networks and cloud to interconnect. Our planet-scale network is your Mission Control for 100Gbps connectivity globally: on-demand, contract-free, and online in a flash.\\n\\nhttps://docs.google.com/forms/d/e/1FAIpQLSfWIkR-UB-sjrn_7sg8o_j1O6HZKrRgHIfH4js_9xGOM5-LHg/viewform?usp=header\\n\\nMegaport partners with the worldâ€™s leading enterprises, global service providers, data center operators, systems integrators, and managed services companies. Get access to a global network underlay that will take you wherever you want to go, however you want to get there.\",\n  \"companyId\": 1153,\n  \"companyUid\": \"160208ae-01e4-4cb9-8d57-03a197bd47a8\",\n  \"country\": \"Australia\",\n  \"email\": \"miwa.fujii@sink.megaport.com\",\n  \"facebook\": null,\n  \"googleplus\": null,\n  \"image\": \"true\",\n  \"linkedin\": null,\n  \"phone\": \"+61 7 12342234\",\n  \"postcode\": \"\",\n  \"providerTypes\": [\n    {\n      \"description\": \"Inteligencia Artificial\",\n      \"id\": 10\n    },\n    {\n      \"description\": \"Intercambio de IA (IAx)\",\n      \"id\": 11\n    }\n  ],\n  \"services\": {\n    \"efbebc29-aa4d-49aa-96bf-a9db2a1f3308\": {\n      \"contactEmail\": null,\n      \"description\": null,\n      \"marketplaceVisible\": false,\n      \"metadata\": null,\n      \"serviceTypes\": [],\n      \"title\": \"Puerto Markley 10G\"\n    }\n  },\n  \"state\": \"QLD\",\n  \"street1\": \"\",\n  \"street2\": \"\",\n  \"twitter\": null,\n  \"www\": \"http://bit.ly/4aMxXNE\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "active": false,
  "city": "Brisbane",
  "companyBio": "We've built a better way for networks and cloud to interconnect. Our planet-scale network is your Mission Control for 100Gbps connectivity globally: on-demand, contract-free, and online in a flash.

https://docs.google.com/forms/d/e/1FAIpQLSfWIkR-UB-sjrn_7sg8o_j1O6HZKrRgHIfH4js_9xGOM5-LHg/viewform?usp=header

Megaport partners with the worldâ€™s leading enterprises, global service providers, data center operators, systems integrators, and managed services companies. Get access to a global network underlay that will take you wherever you want to go, however you want to get there.",
  "companyId": 1153,
  "companyUid": "160208ae-01e4-4cb9-8d57-03a197bd47a8",
  "country": "Australia",
  "email": "miwa.fujii@sink.megaport.com",
  "facebook": ,
  "googleplus": ,
  "image": "true",
  "linkedin": ,
  "phone": "+61 7 12342234",
  "postcode": "",
  "providerTypes": [
    [
      "description": "Inteligencia Artificial",
      "id": 10
    ],
    [
      "description": "Intercambio de IA (IAx)",
      "id": 11
    ]
  ],
  "services": ["efbebc29-aa4d-49aa-96bf-a9db2a1f3308": [
      "contactEmail": ,
      "description": ,
      "marketplaceVisible": false,
      "metadata": ,
      "serviceTypes": [],
      "title": "Puerto Markley 10G"
    ]],
  "state": "QLD",
  "street1": "",
  "street2": "",
  "twitter": ,
  "www": "http://bit.ly/4aMxXNE"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.megaport.com/v2/marketplace/profile")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```